<?php
function complete_option_defaults() {
	$defaults = array(
		'converted' => '',
		'site_layout_id' => 'site_full',
		'hide_site_animation' => '',
		'single_post_layout_id' => 'single_layout1',
		'header_layout_id' => 'header_layout2',
		'center_width' => 83.50,
		'content_bg_color' => '#ffffff',
		'divider_icon' => 'fa-stop',
		'head_transparent' => '',
		'totop_id' => '1',
		'footer_text_id' => __('
			[columns size="3"]<p>Copyright 2019 <a href="#">SKT Maintenance</a> All Rights Reserved</p>[/columns]
			[columns size="3"][social_area][social icon="facebook" link="#"][social icon="twitter" link="#"][social icon="google-plus" link="#"][social icon="linkedin" link="#"][social icon="pinterest" link="#"][/social_area][/columns]
			[columns size="3"]<p>Design by SKT Themes</p>[/columns]
			[clear]', 'complete'),
		'phntp_text_id' => __('best Services theme forever!', 'complete'),
		'emltp_text' => __('<i class="fa fa-map-marker"></i> E102 Lorem Ben Street, United Kingdom', 'complete'),
		'sintp_text' => __('<i class="fa fa-phone"></i><strong>0789 256 321</strong> <span>info@demolink.com</span>', 'complete'),
		'suptp_text' => __('<i class="fa fa-home"></i> <strong>Street 238,52 tempor</strong><span>Donec ultricies mattis nulla</span>', 'complete'),
		'footmenu_id' => '1',
		'copyright_center' => '',
		
		'custom_slider' => '',
		'slider_type_id' => 'static',
		'slideefect' => 'fade',
		'slideanim' => '500',
		'slidepause' => '4000',
		'slidenav' => 'false',
		'slidepage' => 'false',
		
		'slide_image1' => ''.get_template_directory_uri().'/images/slides/slider1.jpg',
		'slide_title1' => '<span style="color:#ff9a00;">Just Call</span> (855 231 9876)',
		'slide_desc1' => 'We are always ready to service',
		'slide_link1' => '#link1',
		'slide_btn1' => 'Contact Us',
		
		'slide_image2' => ''.get_template_directory_uri().'/images/slides/slider2.jpg',
		'slide_title2' => '<span style="color:#ff9a00;">Just Call</span> (855 231 9876)',
		'slide_desc2' => 'We are always ready to service',
		'slide_link2' => '#link2',
		'slide_btn2' => 'Contact Us',
		
		'slide_image3' => ''.get_template_directory_uri().'/images/slides/slider3.jpg',
		'slide_title3' => '<span style="color:#ff9a00;">Just Call</span> (855 231 9876)',
		'slide_desc3' => 'We are always ready to service',
		'slide_link3' => '#link3',
		'slide_btn3' => 'Contact Us',

		'post_info_id' => '1',
		'post_nextprev_id' => '1',
		'post_comments_id' => '1',
		'page_header_color' => '#545556',
		'pageheader_bg_image' => '',
		'pageheader_bg_image' => ''.get_template_directory_uri().'/images/default-header-img.jpg',
		'hide_pageheader' => '',
		'page_header_txtcolor' => '#555555',
		
		'post_header_color' => '#545556',
		'postheader_bg_image' => ''.get_template_directory_uri().'/images/blog-banner.jpg',
		'hide_postheader' => '',		

		'blog_cat_id' => '',
		'blog_num_id' => '9',
		'blog_layout_id' => '',
		'show_blog_thumb' => '1',
		
		'sec_color_id' => '#ffb400',
		'mnbg_color_id' => '#ff9a00',
		'submnu_textcolor_id' => '#000000',
		'submnbg_color_id' => '#ffffff',
		'mnshvr_color_id' => '#ff9a00',
		
		'menu_bg_color_id' => '#000000',
		'menu_bg_opacity_id' => '0.5',
		
		'mobtoggle_color_id' => '#ffffff',
		
		'sectxt_color_id' => '#FFFFFF',
		'content_font_id' =>  array('font-family' => 'Assistant', 'font-size' => '15px'),
		'primtxt_color_id' => '#5b5b5b',
		'logo_image_id' => array(  'url'=>''),
		'logo_font_id' => array('font-family' => 'Anton', 'font-size' => '37px'),
		'logo_color_id' => '#ffb400',
		'logo_color_last' => '#202322',
		
		'logo_image_height' => '46px;',
		'logo_image_width' => '106px;',
		'logo_margin_top' => '14px;',
		
		'tpbt_font_id' => array('font-family' => 'Roboto', 'font-size' => '14px'),
		'tpbt_color_id' => '#4c4c4c',
		'tpbt_hvcolor_id' => '#ffb400',	
		
		'sldtitle_font_id' => array('font-family' => 'Anton', 'font-size' => '41px'),
		'slddesc_font_id' => array('font-family' => 'Assistant', 'font-size' => '32px'),
		'sldbtn_font_id' => array('font-family' => 'Assistant', 'font-size' => '18px'),
		
		'slidetitle_color_id' => '#ffffff',	
		'slddesc_color_id' => '#ffffff',	
		'sldbtntext_color_id' => '#ffffff',
		'sldbtn_color_id' => '#ffb400',
		'sldbtn_hvcolor_id' => '#ff8800',	
		
		'slide_pager_color_id' => '#ffffff',	
		'slide_active_pager_color_id' => '#ffb400',	
		
			
		'global_link_color_id' => '#282828',
		'global_link_hvcolor_id' => '#ffb400',		
		
		'global_h1_color_id' => '#282828',
		'global_h1_hvcolor_id' => '#ffb400',	
		'global_h2_color_id' => '#282828',
		'global_h2_hvcolor_id' => '#ffb400',
		'global_h3_color_id' => '#282828',
		'global_h3_hvcolor_id' => '#ffb400',
		'global_h4_color_id' => '#282828',
		'global_h4_hvcolor_id' => '#ffb400',
		'global_h5_color_id' => '#282828',
		'global_h5_hvcolor_id' => '#ffb400',
		'global_h6_color_id' => '#282828',
		'global_h6_hvcolor_id' => '#ffb400',	
		
		'post_meta_color_id' => '#282828',
		'team_box_color_id' => '#f7f7f7',
		
		'social_text_color_id' => '#9e9e9e',
		'social_text_hover_color_id' => '#ffffff',
		'social_icon_color_id' => '#1f1f1f',
		'social_hover_icon_color_id' => '#ffb400',
		'testimonialbox_color_id' => '#ffffff',		
		'testimonialbox_txt_color' => '#303030',
		'testimonial_pager_color_id' => '#ffffff',
		'testimonialbox_border_color' => '#ffffff',
		'testimonial_activepager_color_id' => '#ffb400',
		
		'gallery_thumb_color_id' => '#ffb400',
		'gallery_filter_color_id' => '#ffb400',
		'gallery_filtertxt_color_id' => '#000000',
		'gallery_activefiltertxt_color_id' => '#ffffff',
		'skillsbar_bgcolor_id' => '#f8f8f8',
		'skillsbar_text_color_id' => '#ffffff',								
		'global_h1_font_id' => array('font-family' => 'Assistant', 'font-size' => '30px'),
		'global_h2_font_id' => array('font-family' => 'Anton', 'font-size' => '43px'),
		'global_h3_font_id' => array('font-family' => 'Assistant', 'font-size' => '24px'),
		'global_h4_font_id' => array('font-family' => 'Assistant', 'font-size' => '20px'),
		'global_h5_font_id' => array('font-family' => 'Assistant', 'font-size' => '18px'),
		'global_h6_font_id' => array('font-family' => 'Assistant', 'font-size' => '16px'),
		
		'contact_title' => 'Contact Info',
		'contact_address' => 'Donec ultricies mattis nulla Australia',
		'contact_phone' => '0789 256 321',
		'contact_email' => 'info@companyname.com',
		'contact_company_url' => 'http://demo.com',		
		'head_bg_trans' => '0.1',
		'head_color_id' => '#ffffff',
		'head_info_color_id' => '#fafafa',
		'menutxt_color_id' => '#ffffff',
		'menutxt_color_hover' => '#ffffff',
		'menutxt_color_active' => '#ffffff',
		'menu_size_id' => '16px',
		'sidebar_color_id' => '#FFFFFF',
		'sidebarborder_color_id' => '#eeeff5',
		'sidebar_tt_color_id' => '#282828',
		'sidebartxt_color_id' => '#999999',
		'sidebarlink_color_id' => '#141414',
		'sidebarlink_hover_color_id' => '#ffb400',
		'flipbg_front_color_id' => '#ffffff',
		'flipbg_back_color_id' => '#f7f7f7',
		'flipborder_front_color_id' => '#e0e0e0',
		'flipborder_back_color_id' => '#000000',
		'divider_color_id' => '#8c8b8b',
		'wgttitle_size_id' => '22px',
		'timebox_color_id' => '#ffffff',
		'timeboxborder_color_id' => '#dedede',
		'gridbox_color_id' => '#ffffff',
		'gridboxborder_color_id' => '#cccccc',
		
		'service_box_bg' => '#ffffff',
		'service_box_bg_hover' => '#ff9a00',
		'box_color_text' => '#5b5b5b',
		
		'expand_bg_color' => '#ffb400',
		'expand_text_color' => '#000000',
		
		'h_seprator_color' => '#ffb400',
		'h_seprator_text_color' => '#000000',
		
		'square_bg_color' => '#ffffff',
		'square_bg_hover_color' => '#79ab9f',
		'square_title_color' => '#000000',
		
		'style3_bg_color' => '#ffffff',
		'style3_hover_bg_color' => '#f1f1f1',
		'style3_border_color' => '#eaeaea',
		
		'perfect_bg_color' => '#ffffff',
		'perfect_icon_color' => '#ff9a00',
		'perfect_icon_hover' => '#31354c',		
 
		'foot_layout_id' => '3',
		'footer_color_id' => '#1d1d1d',
		'footwdgtxt_color_id' => '#757575',
		'footwdgtxtactive_color_id' => '#ff9a00',
		'footer_title_color' => '#ffffff',
		'mnutitle_font_id' =>  array('font-family' => 'Assistant', 'subsets'=>'latin'),
		'title_txt_color_id' => '#282828',
		'link_color_id' => '#3590ea',
		'link_color_hover' => '#1e73be',
		'txt_upcase_id' => '',
		'mnutxt_upcase_id' => '',
		'copyright_bg_color' => '#161616',
		'copyright_txt_color' => '#f8f8f8',
		
		//Footer Info Box
		'footer_info_bgcolor' => '#161616',
		'footer_info_iconcolor' => '#ffffff',
		'footer_info_titlecolor' => '#ffffff',
		'footer_info_desccolor' => '#757575',
		'footer_info_shrtcolor' => '#ffb400',
		'footer_info_dividercolor' => '#1f1f1f',		
		
		//Featured Box
		'featured_section_title' => __('Featured Boxes', 'complete'),
		'homeblock_bg_setting' => '',
		'ftd_bg_video' => '',
		'homeblock_title_color' => '#000000',
		'homeblock_color_id' => '#f2f2f2',
		'featured_image_height' => '70px;',
		'featured_image_width' => '70px;',
		'featured_excerpt' => '35',
		'featured_block_bg' => '#ffffff',
		'featured_block_button' => __('Read More', 'complete'),
		'recentpost_block_button' => __('Read More', 'complete'),
		
		'featured_block_button_bg' => '#383939',
		'featured_block_hover_button_bg' => '#ffb400',
		
		'page-setting1_image' => array(  'url'=>''.get_template_directory_uri().'/images/featured_icon1.png'),
		'page-setting2_image' => array(  'url'=>''.get_template_directory_uri().'/images/featured_icon2.png'),
		'page-setting3_image' => array(  'url'=>''.get_template_directory_uri().'/images/featured_icon3.png'),
		'page-setting4_image' => array(  'url'=>''.get_template_directory_uri().'/images/featured_icon4.png'),
		
		'page-setting1' => '0',
		'page-setting2' => '0',
		'page-setting3' => '0',
		'page-setting4' => '0',
		'page-setting5' => '0',
		'page-setting6' => '0',
		'page-setting7' => '0',
		'page-setting8' => '0',
		'page-setting9' => '0',
		'page-setting10' => '0',
		'page-setting11' => '0',
		'page-setting12' => '0',
		'page-setting13' => '0',
		'page-setting14' => '0',
		'page-setting15' => '0',
		'page-setting16' => '0',
		'page-setting17' => '0',
		'hide_boxes' => '',
		
		//Home Section1
		'section1_bgcolor_id' => '#ffffff',
		'section1_bg_image' => '',
		'section1_bg_video' => '',
		'hide_boxes_section1' => '',
		//Home Section1
		
		//Home Section2
		'section2_bgcolor_id' => '#f7f7f7',
		'section2_bg_image' => ''.get_template_directory_uri().'/images/section-2-bg.jpg',
		'section2_bg_video' => '',
		'hide_boxes_section2' => '',
		//Home Section2	
		
		//Home Section3
		'section3_bgcolor_id' => '#ffffff',
		'section3_bg_image' => '',
		'section3_bg_video' => '',
		'hide_boxes_section3' => '',
		//Home Section3	
		
		//Home Section4
		'section4_bgcolor_id' => '',
		'section4_bg_image' => ''.get_template_directory_uri().'/images/section-4-bg.jpg',
		'section4_bg_video' => '',
		'hide_boxes_section4' => '',
		//Home Section4		
		
		//Home Section5
		'section5_bgcolor_id' => '#f7f7f7',
		'section5_bg_image' => '',
		'section5_bg_video' => '',
		'hide_boxes_section5' => '',
		//Home Section5		
		
		//Home Section6
		'section6_bgcolor_id' => '#ffffff',
		'section6_bg_image' => '',
		'section5_bg_video' => '',
		'hide_boxes_section6' => '',
		//Home Section6	
		
		//Home Section7
		'section7_bgcolor_id' => '#f7f7f7',
		'section7_bg_image' => '',
		'section7_bg_video' => '',
		'hide_boxes_section7' => '',
		//Home Section7		
		
		//Home Section8
		'section8_bgcolor_id' => '#ffffff',
		'section8_bg_image' =>  ''.get_template_directory_uri().'/images/section-8-bg.jpg',
		'section8_bg_video' => '',
		'hide_boxes_section8' => '',
		//Home Section8		
		
		//Home Section9
		'section9_bgcolor_id' => '#f7f7f7',
		'section9_bg_image' => '',
		'section9_bg_video' => '',
		'hide_boxes_section9' => '',
		//Home Section9	
		
		//Home Section10
		'section10_bgcolor_id' => '#ffffff',
		'section10_bg_image' => '',
		'section10_bg_video' => '',
		'hide_boxes_section10' => '',
		//Home Section10
		
		//Home Section11
		'section11_bgcolor_id' => '#f7f7f7',
		'section11_bg_image' => '',
		'section11_bg_video' => '',
		'hide_boxes_section11' => '1',
		//Home Section11	
		
		//Home Section12
		'section12_bgcolor_id' => '',
		'section12_bg_image' => '#ffffff',
		'section12_bg_video' => '',
		'hide_boxes_section12' => '1',
		//Home Section12
		
		//Home Section13
		'section13_bgcolor_id' => '#f7f7f7',
		'section13_bg_image' => '',
		'section13_bg_video' => '',
		'hide_boxes_section13' => '1',
		//Home Section13
		
		//Home Section14
		'section14_bgcolor_id' => '#ffffff',
		'section14_bg_image' => '',
		'section14_bg_video' => '',
		'hide_boxes_section14' => '1',
		//Home Section14
		
		//Home Section15
		'section15_bgcolor_id' => '#f6f6f6',
		'section15_bg_image' => '',
		'section15_bg_video' => '',
		'hide_boxes_section15' => '1',
		//Home Section15
		
		//Home Section16
		'section16_bgcolor_id' => '#ffffff',
		'section16_bg_image' => '',
		'section16_bg_video' => '',
		'hide_boxes_section16' => '1',
		//Home Section16
		
		//Home Section17
		'section17_bgcolor_id' => '#f7f7f7',
		'section17_bg_image' => '',
		'section17_bg_video' => '',
		'hide_boxes_section17' => '1',
		//Home Section17												
		
		
		//Footer Column 1
		'foot_cols1_title' => __('MAINTENANCE SERVICES', 'complete'),
		'foot_cols1_content' => '<p>Aliquam porta tincidunt enim. Sed temporing nulla sedding facilis egestas, lorem lacus and elementum mi, malesuada ornare ipsum erat convallis ipsum orem lacus elementum porta tincidunt enim.</p><p>Aenean ac convallis nibh. In non arcu vel lacus fringilla tempus. Nullam dictum placerat nisi...</p>',
		//Footer Column 1	
		
		//Footer Column 2
		'foot_cols2_title' => __('NAVIGATION', 'complete'),
		'foot_cols2_content' => '[footermenu menu="footermenu"]',
		//Footer Column 2	
		
		//Footer Column 3
		'foot_cols3_title' => __('RECENT POSTS', 'complete'),
		'foot_cols3_content' => '[footerposts show="2"]',
		//Footer Column 3
		
		//Footer Column 4
		'foot_cols4_title' => __('CONNECT WITH US', 'complete'),
		'foot_cols4_content' => '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry.</p>[social_area]
    [social icon="facebook" link="#"]
    [social icon="twitter" link="#"]
    [social icon="google-plus" link="#"]	
    [social icon="linkedin" link="#"]
    [social icon="pinterest" link="#"]
[/social_area]',
		//Footer Column 4																
		'social_button_style' => 'simple',
		'social_show_color' => '',
		'social_bookmark_pos' => 'footer',
		'social_bookmark_size' => 'normal',
		'social_single_id' => '1',
		'social_page_id' => '',
		
		//Footer Info Box 1
		'foot_infobox1_heading' => __('VISIT US', 'complete'),
		'foot_infobox1_icon' => '<i class="fa fa-map-marker" aria-hidden="true"></i>',
		'foot_infobox1_description' => 'Aliquam porta tincidunt enim.',
		
		//Footer Info Box 2
		'foot_infobox2_heading' => __('EMAIL US', 'complete'),
		'foot_infobox2_icon' => '<i class="fa fa-envelope-o" aria-hidden="true"></i>',
		'foot_infobox2_description' => 'info@sitename.com',
		
		//Footer Info Box 3
		'foot_infobox3_heading' => __('CALL US', 'complete'),
		'foot_infobox3_icon' => '<i class="fa fa-phone" aria-hidden="true"></i>',
		'foot_infobox3_description' => '987 685 4528',
		
		'hide_foot_infobox' => '',
		
		'post_lightbox_id' => '1',
		'post_gallery_id' => '1',
		'cat_layout_id' => '4',
		'hide_mob_slide' => '',
		'hide_mob_rightsdbr' => '',
		'hide_mob_page_header' => '1',
		'custom-css' => '',
	);
	
      $options = get_option('complete',$defaults);

      //Parse defaults again - see comments
      $options = wp_parse_args( $options, $defaults );

	return $options;
}?>